<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
<f:view>
   <h:dataTable>
   <h:column>
      <f:facet name="header">Título</f:facet>
      <h:outputText value="#{esigBean.task.title}" />
   </h:column>

   <h:column>
      <f:facet name="header">Descrição</f:facet>
      <h:outputText value="#{esigBean.task}" />
   </h:column>

   <h:column>
      <f:facet name="header">Responsável</f:facet>
      <h:outputText value="#{tarefa.responsavel}" />
   </h:column>

   <h:column>
      <f:facet name="header">Prioridade</f:facet>
      <h:outputText value="#{tarefa.prioridade}" />
   </h:column>

   <h:column>
      <f:facet name="header">Deadline</f:facet>
      <h:outputText value="#{tarefa.deadline}">
         <f:convertDateTime pattern="dd/MM/yyyy" />
      </h:outputText>
   </h:column>

   <h:column>
      <f:facet name="header">Ações</f:facet>
      <h:commandButton value="Editar" action="#{tarefaBean.editarTarefa(tarefa)}" />
      <h:commandButton value="Excluir" action="#{tarefaBean.excluirTarefa(tarefa)}" />
      <h:commandButton value="Alterar Status" action="#{tarefaBean.alterarStatusTarefa(tarefa)}" />
   </h:column>

   </h:dataTable>
</f:view>
</html>
